#ifndef _SUBSUME_
#define _SUBSUME_ 
#include "clause.h"
#include "state.h"
BOOL subsume_Check(SCLSTATE, CLAUSE, CLAUSE);
BOOL subsume_CheckWithResolvableLiterals(SCLSTATE, CLAUSE, unsigned, CLAUSE, unsigned);
BOOL subsume_ContextFilter(SCLSTATE, CLAUSE, CLAUSE);
BOOL subsume_ExistsMatcherFromIndex(SCLSTATE, CLAUSE, CLAUSE, unsigned);
ARRAY subsume_Backward(SCLSTATE, CLAUSE, ARRAY);
#endif
